#include <math.h>
int Blue = 9;
int Green = 10;
int Red = 11;

double ThermistorF(int RawADC) {
 double Temp;
 Temp = log(10000.0*((1024.0/RawADC-1))); 
 Temp = 1 / (0.001129148 + (0.000234125 + (0.0000000876741 * Temp * Temp ))* Temp );
 Temp = Temp - 273.15;          
 Temp = (Temp * 9.0)/ 5.0 + 32.0; 
 return Temp;
}

double ThermistorC(int RawADC) {
 double Temp;
 Temp = log(10000.0*((1024.0/RawADC-1))); 
 Temp = 1 / (0.001129148 + (0.000234125 + (0.0000000876741 * Temp * Temp ))* Temp );
 Temp = Temp - 273.15;          
 return Temp;
}

void setup() {
 Serial.begin(9600);
 pinMode(Red,1); // PVM pin 11 to Red
 pinMode(Green,1); // PVM pin 10 to Green
 pinMode(Blue,1); // PVM pin 9 to Blue
}

void loop() {             
  int valF, valC;                
  double tempF, tempC;            
  valF=analogRead(0);      
  tempF=ThermistorF(valF);   
  valC=analogRead(0);      
  tempC=ThermistorC(valC); 
  
  Serial.print("Temperature = ");
  Serial.print(tempF);   
  Serial.print(" F; ");
  Serial.print(tempC);   
  Serial.println(" C");
  if(tempC > 20){
    analogWrite(Blue, 200);
    analogWrite(Green, 100);
    analogWrite(Red, 0);
  }
  if(tempC > 22){
    analogWrite(Blue,150);
    analogWrite(Green,150);
    analogWrite(Red,0);
  }
  if(tempC > 24){
    analogWrite(Blue,50);
    analogWrite(Green,225);
    analogWrite(Red,0);
  }
  if(tempC > 26){
    analogWrite(Blue,0);
    analogWrite(Green,255);
    analogWrite(Red,175);
  }
  if(tempC > 28){
    analogWrite(Blue,0);
    analogWrite(Green,60);
    analogWrite(Red,55);
  }
  if(tempC > 30){
    analogWrite(Blue,10);
    analogWrite(Green,50);
    analogWrite(Red,125);
  }
  if(tempC > 32){
    analogWrite(Blue,255);
    analogWrite(Green,0);
    analogWrite(Red,200);
  }
  delay(1000);            
}

